#ifndef PLUGINWIZARD_H
#define PLUGINWIZARD_H

#include <QHash>
#include <QWizard>

class PluginWizard : public QWizard
{
    Q_OBJECT
public:
    explicit PluginWizard(QWidget *parent = 0);

    void setChangedInputs(const QHash<QString, QStringList>& changedInputs);
    QHash<QString, QStringList> changedInputs() const;

private:
    QHash<QString, QStringList> m_changedInputs;
};

#endif // PLUGINWIZARD_H
