
# Make sure we have a configfile
isEmpty(CONFIGFILES):error("CONFIGFILES entry is missing")
isEmpty(TARGET):error("TARGET entry is missing")

INSTALLFILES = $$OTHER_FILES
INSTALLFILES -= $$CONFIGFILES
INSTALLFILES -= $$TARGET

# Define a proper plugin path
PLUGINPATH = /opt/web2sms/plugins/$$TARGET

# Setup plugin dir
target.path = $$PLUGINPATH

# Setup Config file
configfile.files = $$CONFIGFILES
configfile.path = $$PLUGINPATH
INSTALLS += configfile

# Setup Account Settings page
!isEmpty(ACCOUNTSETUP) {
    INSTALLFILES -= $$ACCOUNTSETUP

    accountsettings.files = $$ACCOUNTSETUP
    accountsettings.path = $$PLUGINPATH
    INSTALLS += accountsettings
}


otherfiles.files = $$INSTALLFILES
otherfiles.path = $$PLUGINPATH
INSTALLS += otherfiles
