contains(MEEGO_EDITION, harmattan) {
    TEMPLATE = app
    TARGET = web2smsplugin

    QT += declarative
    CONFIG += meegotouch link_pkgconfig

    PKGCONFIG += qdeclarative-boostable \
                 accounts-qt \
                 AccountSetup

    ### We skip the invorker script for now
    # Install our real plugin
    #target.path = /usr/lib/AccountSetup/bin
    target.path = /opt/web2sms/bin
    INSTALLS += target

    # Install the invoker
    invoker.files = invoker/web2smsplugin
    #invoker.path = /usr/lib/AccountSetup
    invoker.path = /opt/web2sms/usr/lib/AccountSetup
    INSTALLS += invoker

    SOURCES += \
        main.cpp

    # Register to accounts
    accountsprovider.files = web2sms.provider
    accountsprovider.path = /opt/web2sms/usr/share/accounts/providers
    INSTALLS += accountsprovider
} else {
    TEMPLATE = subdirs
}

OTHER_FILES += \
    StandalonePage.qml \
    main.qml \
    EditAccountPage.qml \
    GenericAccountSettings.qml \
    ProviderSelectionPage.qml

# Copy the qml files
qmlfiles.files = $$OTHER_FILES
qmlfiles.path = /opt/web2sms/accounts
INSTALLS += qmlfiles
