#ifndef CLIPBOARD_H
#define CLIPBOARD_H

// Local includes
#include "global.h"

// Global includes
#include <QObject>

class WEB2SMS_API Clipboard : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString text READ text WRITE setText NOTIFY textChanged)

public:
    explicit Clipboard(QObject *parent = 0);

    void setText(const QString& text);
    QString text() const;

signals:
    void textChanged();
};

#endif // CLIPBOARD_H
