#ifndef ZIPFILESYSTEM_H
#define ZIPFILESYSTEM_H

// Local includes
#include "global.h"

// Global includes
#include <QString>

// Forward declarations
class ZipFileSystemPrivate;

class WEB2SMS_API ZipFileSystem
{
public:
    ZipFileSystem(const QString& fileName);
    ~ZipFileSystem();

    /// Return the filename
    QString fileName() const;

    /// Open the file in readonly mode
    bool open();
    void close();

protected:
    ZipFileSystemPrivate* d;
};

#endif // ZIPFILESYSTEM_H
