import QtQuick 1.0

SequentialAnimation {
    id: tileAnimation

    /// The taget object being animated
    property QtObject target

    PropertyAnimation { duration: Math.max(100*model.index, 0) }

    NumberAnimation {
        target: tileAnimation.target.transformation
        property: "angle"
        duration: 500
        easing.type: Easing.OutQuad
        from: -90
        to: 0
    }
}
