import QtQuick 1.1
import com.nokia.meego 1.0
import Web2SMS 1.0

Label {
    id: container

    property string balance
    property string balanceFormat
    property bool showEmptyMessage: true

    /// END OF PUBLIC API ///

    text: {
        if ( container.balance.length == 0 && container.showEmptyMessage ) {
            //% "The balance is available when you have sent your first message"
            return qsTrId("qtn_web2sms_balance_unavailable");
        } else if ( container.balanceFormat.length == 0 )
            return container.balance;
        else
            return qsTrId(balanceFormat).arg(balance);
    }
}
