import QtQuick 1.1
import com.nokia.meego 1.0
import "/usr/lib/qt4/imports/com/nokia/meego/UIConstants.js" as UIConstants

Item {
    id: sectionDelegate

    property string sectionName

    //width: ListView.view.width
    height: label.height

    Item {
        anchors {
            left: parent.left
            right: parent.right
            verticalCenter: parent.verticalCenter
        }

        Separator {
            anchors {
                left: parent.left
                right: label.left
                rightMargin: UIConstants.DEFAULT_MARGIN
                verticalCenter: parent.verticalCenter
            }
        }

        Label {
            id: label

            anchors {
                right: parent.right
                verticalCenter: parent.verticalCenter
            }

            text: sectionDelegate.sectionName
            //font.family: textAreaStyle.textFont.family
            font.pixelSize: UIConstants.FONT_SMALL
            font.bold: true
            color: UIConstants.COLOR_SECONDARY_FOREGROUND
        }

        /*TextAreaStyle {
            id: textAreaStyle
        }*/
    }
}
