TEMPLATE = app
TARGET = web2sms-backend
QT += dbus xml

# Define the PySide files
CONFIG += link_pkgconfig
PKGCONFIG += shiboken

INCLUDEPATH += /usr/include/PySide \
               /usr/include/PySide/QtCore \
               /usr/include/PySide/QtGui

# Setup util library paths
INCLUDEPATH += $$PWD/../utils
LIBS += $$PWD/../utils/libutils.a

# We want some more install steps
#target.path = /opt/web2sms
target.path = /home/gri/plugins
INSTALLS += target

OTHER_FILES += backendservice.xml

HEADERS += \
    backendservice.h \
    backendservice_adaptor.h \
    pythonproviderplugin.h \
    pythonproviderinterface.h

SOURCES += \
    backendservice.cpp \
    backendservice_adaptor.cpp \
    main.cpp \
    pythonproviderplugin.cpp \
    pythonproviderinterface.cpp




