#!/bin/env python
# -*- coding: utf-8 -*-

betamax_replace = {
    u'ñ': u'n',
    u'Ñ': u'N',
    u'ç': u'c',
    u'Ç': u'C',
    u'á': u'a',
    u'é': u'e',
    u'í': u'i',
    u'ó': u'o',
    u'ú': u'u',
    u'Á': u'A',
    u'É': u'E',
    u'Í': u'I',
    u'Ó': u'O',
    u'Ú': u'U',
    u'à': u'a',
    u'è': u'e',
    u'ì': u'i',
    u'ò': u'o',
    u'ù': u'u',
    u'À': u'A',
    u'È': u'E',
    u'Ì': u'I',
    u'Ò': u'O',
    u'Ù': u'U',
    u'ä': u'a',
    u'ë': u'e',
    u'ï': u'i',
    u'ö': u'o',
    u'ü': u'u',
    u'Ä': u'A',
    u'Ë': u'E',
    u'Ï': u'I',
    u'Ö': u'O',
    u'Ü': u'U',
    u'â': u'a',
    u'ê': u'e',
    u'î': u'i',
    u'ô': u'o',
    u'û': u'u',
    u'Â': u'A',
    u'Ê': u'E',
    u'Î': u'I',
    u'Ô': u'O',
    u'Û': u'U',
}

# http://code.google.com/p/websmsdroid/issues/detail?id=263
betamax_encode = {
    u'£': u'%01', u'$': u'%02', u'¥': u'%03', u'è': u'%04',
    u'é': u'%05', u'ù': u'%06', u'ì': u'%07', u'ò': u'%08',
    u'Ç': u'%09', u'Ø': u'%0B', u'ø': u'%0C', u'Å': u'%0E',
    u'å': u'%0F', u'_': u'%11', u'Æ': u'%1C', u'æ': u'%1D',
    u'ß': u'%1E', u'É': u'%1F', u' ': u'%20', u'!': u'%21',
    u'"': u'%22', u'#': u'%23', u'%': u'%25', u'&': u'%26',
    u"'": u'%27', u'(': u'%28', u')': u'%29', u'*': u'%2A',
    u'+': u'%2B', u',': u'%2C', u'-': u'%2D', u'.': u'%2E',
    u'/': u'%2F', u'0': u'%30', u'1': u'%31', u'2': u'%32',
    u'3': u'%33', u'4': u'%34', u'5': u'%35', u'6': u'%36',
    u'7': u'%37', u'8': u'%38', u'9': u'%39', u':': u'%3A',
    u';': u'%3B', u'<': u'%3C', u'=': u'%3D', u'>': u'%3E',
    u'?': u'%3F', u'¡': u'%40', u'A': u'%41', u'B': u'%42',
    u'C': u'%43', u'D': u'%44', u'E': u'%45', u'F': u'%46',
    u'G': u'%47', u'H': u'%48', u'I': u'%49', u'J': u'%4A',
    u'K': u'%4B', u'L': u'%4C', u'M': u'%4D', u'N': u'%4E',
    u'O': u'%4F', u'P': u'%50', u'Q': u'%51', u'R': u'%52',
    u'S': u'%53', u'T': u'%54', u'U': u'%55', u'V': u'%56',
    u'W': u'%57', u'X': u'%58', u'Y': u'%59', u'Z': u'%5A',
    u'Ä': u'%5B', u'Ö': u'%5C', u'Ñ': u'%5D', u'Ü': u'%5E',
    u'§': u'%5F', u'¿': u'%60', u'a': u'%61', u'b': u'%62',
    u'c': u'%63', u'd': u'%64', u'e': u'%65', u'f': u'%66',
    u'g': u'%67', u'h': u'%68', u'i': u'%69', u'j': u'%6A',
    u'k': u'%6B', u'l': u'%6C', u'm': u'%6D', u'n': u'%6E',
    u'o': u'%6F', u'p': u'%70', u'q': u'%71', u'r': u'%72',
    u's': u'%73', u't': u'%74', u'u': u'%75', u'v': u'%76',
    u'w': u'%77', u'x': u'%78', u'y': u'%79', u'z': u'%7A',
    u'ä': u'%7B', u'ö': u'%7C', u'ñ': u'%7D', u'ü': u'%7E',
    u'à': u'%7F', u'\n': u'%0A', u'\r': u''
}

SMSTEXT = "This is a test message for Betamax. Euro: € Umlaut: ö"
if not isinstance(SMSTEXT, unicode):
    print "string is not a UNICODE string"
    SMSTEXT = u"This is a test message for Betamax. Euro: € Umlaut: ö"

TXT = "".join([betamax_encode.get(c, u'%3F%3F') for c in SMSTEXT])

print TXT