#!/usr/bin/python
# -*- coding: utf-8 -*-
#
#------------------------------------------------------------------------------
#dummy.py, Copyright Bjoern Olausson
#------------------------------------------------------------------------------
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 3 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#GNU General Public License for more details.
#
#To view the license visit
#http://www.gnu.org/licenses/gpl-3.0.html
#or write to
#Free Software Foundation, Inc.
#51 Franklin St, Fifth Floor
#Boston, MA
#02110-1301 USA
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#
# Dummy plug-in for testing purpose.
#

__version__ = '1.0.1'
__version_info__ = tuple([int(num) for num in __version__.split('.')])

import time

class provider():
    def sendSMS(self, LOGIN, PASSWORD, NUMBER, SMSTEXT, PLUGINDICT):
        for i in range(1, 5):
            print "Loop 1", i
            time.sleep(1)
        for j in range(1, 5):
            print "Loop 2", j
            time.sleep(1)
        if PLUGINDICT["FAIL"]:
            MSG = {"STATUS": {"TYPE": "Error", "MESSAGE": "You forced an error message"}, "BALANCE": None}
            return MSG
        else:
            MSG = {"STATUS": {"TYPE": "Success", "MESSAGE": "Everything is fine"}, "BALANCE": 12}
            return MSG

def plugin_instance():
    return provider()
