import QtQuick 1.1
import com.nokia.meego 1.0

/// This is a simple TextArea with no background
TextArea {
    id: textArea

    property string realText

    Component.onCompleted: {
        // Reset the background to have a plain text edit like in the real messages window
        platformStyle.background = "";
        platformStyle.backgroundSelected = "";
        platformStyle.backgroundDisabled = "";
        platformStyle.backgroundError = "";
    }

    onTextChanged: {
        var tmp = text+"";

        if ( cursorPosition != -1 ) {
            tmp = tmp.substr(0, cursorPosition) + platformPreedit + tmp.substr(cursorPosition);
        }

        textArea.realText = tmp;
    }
}
