import QtQuick 1.0

SequentialAnimation {
    id: scaleAnimation

    /// The taget object being animated
    property QtObject target

    PropertyAction { target: scaleAnimation.target; property: "scale"; value: 0}
    PropertyAnimation { duration: Math.max(50*model.index, 0) }
    NumberAnimation {
        target: scaleAnimation.target
        property: "scale"
        duration: 250
        easing.type: Easing.InOutBack
        //from: 0
        to: 1
    }
}
