import QtQuick 1.0

SequentialAnimation {
    id: slideAnimation

    /// The taget object being animated
    property QtObject target

    PropertyAction { target: slideAnimation.target; property: "x"; value: model.direction == "Inbound" ? slideAnimation.target.parent.width+32 : -slideAnimation.target.width-32}
    PropertyAnimation { duration: Math.max(0, 100*model.index) }
    NumberAnimation {
        target: slideAnimation.target
        property: "x"
        duration: 800
        easing.type: Easing.InOutBack
        //from: 0
        to: target.realX
    }
}
