#ifndef APPINTERFACE_H
#define APPINTERFACE_H

#include <QObject>
#include <QDBusInterface>

class AppInterface : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "net.muhkuh.web2sms.MessagingIf")

public:
    explicit AppInterface(QObject *parent = 0);

public slots:
    Q_NOREPLY void startConversation(const QString& accountPath, const QString& contactId, uint handleType);

signals:
    void conversationRequested(const QString& accountPath, const QString& contactId);
};

#endif // APPINTERFACE_H
